<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:36 GMT 2018 -->
<title>K-Index</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="K-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a name="I:K">
<!--   -->
</a>
<h2 class="title">K</h2>
<dl>
<dt><a href="../mapping/Key.html" title="class in mapping"><span class="typeNameLink">Key</span></a> - Class in <a href="../mapping/package-summary.html">mapping</a></dt>
<dd>
<div class="block">Class to represent a key on the keyboard.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#Key-java.lang.String-java.lang.String-int-">Key(String, String, int)</a></span> - Constructor for class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Constructs the key object</div>
</dd>
<dt><a href="../mapping/Key.DisplayType.html" title="enum in mapping"><span class="typeNameLink">Key.DisplayType</span></a> - Enum in <a href="../mapping/package-summary.html">mapping</a></dt>
<dd>
<div class="block">Enums to represent the display that has been assign to the key.</div>
</dd>
<dt><a href="../mapping/KeyboardDisplay.html" title="class in mapping"><span class="typeNameLink">KeyboardDisplay</span></a> - Class in <a href="../mapping/package-summary.html">mapping</a></dt>
<dd>
<div class="block">The class where the virtual keyboard is defined.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/KeyboardDisplay.html#KeyboardDisplay-mapping.Presenter-java.lang.String-">KeyboardDisplay(Presenter, String)</a></span> - Constructor for class mapping.<a href="../mapping/KeyboardDisplay.html" title="class in mapping">KeyboardDisplay</a></dt>
<dd>
<div class="block">Constructs the Keyboard display object.</div>
</dd>
<dt><a href="../mapping/KeyMap.html" title="class in mapping"><span class="typeNameLink">KeyMap</span></a> - Class in <a href="../mapping/package-summary.html">mapping</a></dt>
<dd>
<div class="block">Class to represent groupings of mapped keys on the keyboard.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/KeyMap.html#KeyMap-java.lang.String-">KeyMap(String)</a></span> - Constructor for class mapping.<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></dt>
<dd>
<div class="block">Creates a KeyMap object that represents the set of mapped keys.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/AdvancedMappingPopup.html#keyPressed-java.awt.event.KeyEvent-">keyPressed(KeyEvent)</a></span> - Method in class mapping.<a href="../mapping/AdvancedMappingPopup.html" title="class in mapping">AdvancedMappingPopup</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../mapping/NewKeyMapPopup.html#keyPressed-java.awt.event.KeyEvent-">keyPressed(KeyEvent)</a></span> - Method in class mapping.<a href="../mapping/NewKeyMapPopup.html" title="class in mapping">NewKeyMapPopup</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../mapping/AdvancedMappingPopup.html#keyReleased-java.awt.event.KeyEvent-">keyReleased(KeyEvent)</a></span> - Method in class mapping.<a href="../mapping/AdvancedMappingPopup.html" title="class in mapping">AdvancedMappingPopup</a></dt>
<dd>
<div class="block">Responds to key presses inside the type key text box.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/NewKeyMapPopup.html#keyReleased-java.awt.event.KeyEvent-">keyReleased(KeyEvent)</a></span> - Method in class mapping.<a href="../mapping/NewKeyMapPopup.html" title="class in mapping">NewKeyMapPopup</a></dt>
<dd>
<div class="block">Listen for key presses.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/AdvancedMappingPopup.html#keyTyped-java.awt.event.KeyEvent-">keyTyped(KeyEvent)</a></span> - Method in class mapping.<a href="../mapping/AdvancedMappingPopup.html" title="class in mapping">AdvancedMappingPopup</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../mapping/NewKeyMapPopup.html#keyTyped-java.awt.event.KeyEvent-">keyTyped(KeyEvent)</a></span> - Method in class mapping.<a href="../mapping/NewKeyMapPopup.html" title="class in mapping">NewKeyMapPopup</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
